Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2826263002: Make DOMArrayBuffer::Transfer neuter v8::ArrayBuffers (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 1 week ago by binji
Modified:
2 months ago
Reviewers:
haraken
CC:
blink-reviews, blink-reviews-bindings_chromium.org, blink-reviews-dom_chromium.org, chromium-reviews, dglazkov+blink, eae+blinkwatch, haraken, hongchan, jbroman+watch_chromium.org, rwlbuis, Raymond Toy (OOO Jun 29-Jul 7), sof
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Make DOMArrayBuffer::Transfer neuter v8::ArrayBuffers This behavior is currently done by ScriptValueSerializer, but it's more convenient if the necessary logic is moved to DOMArrayBuffer::Transfer directly; you'll never want to transfer without also calling Neuter on the V8 ArrayBuffer objects. BUG=711824 Review-Url: https://codereview.chromium.org/2826263002 Cr-Commit-Position: refs/heads/master@{#467441} Committed: https://chromium.googlesource.com/chromium/src/+/ca0862600acc57baec238c114be2af70e889708f

Patch Set 1 #

Total comments: 5

Patch Set 2 : merge HEAD and feedback #

Total comments: 1

Patch Set 3 : feedback #

Patch Set 4 : add test and use to_transfer #

Unified diffs Side-by-side diffs Delta from patch set Stats (+95 lines, -56 lines) Patch
M third_party/WebKit/LayoutTests/webaudio/decodeAudioData/decode-audio-data-neuter.html View 1 2 3 1 chunk +13 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/bindings/core/v8/SerializedScriptValue.cpp View 1 2 3 3 chunks +11 lines, -38 lines 0 comments Download
M third_party/WebKit/Source/core/dom/DOMArrayBuffer.h View 1 2 1 chunk +6 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/dom/DOMArrayBuffer.cpp View 1 2 3 1 chunk +48 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/dom/DOMArrayBufferBase.h View 1 chunk +0 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/core/dom/DOMSharedArrayBuffer.h View 1 chunk +4 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/webaudio/BaseAudioContext.cpp View 1 2 3 2 chunks +13 lines, -12 lines 0 comments Download
Trybot results:  win_clang   win_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device   ios-simulator   ios-device-xcode-clang   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator   win_clang   mac_chromium_rel_ng   win_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   linux_chromium_tsan_rel_ng   ios-simulator-xcode-clang   ios-simulator   ios-device   ios-device-xcode-clang   mac_chromium_compile_dbg_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   android_n5x_swarming_rel   cast_shell_android   linux_android_rel_ng   cast_shell_linux   android_cronet   android_compile_dbg   android_arm64_dbg_recipe   android_clang_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 28 (22 generated)
binji
PTAL It seems strange to pass v8::Isolate* to DOMArrayBuffer methods, but I'm not experienced enough ...
2 months, 1 week ago (2017-04-20 18:44:02 UTC) #7
haraken
https://codereview.chromium.org/2826263002/diff/1/third_party/WebKit/Source/bindings/core/v8/SerializedScriptValue.cpp File third_party/WebKit/Source/bindings/core/v8/SerializedScriptValue.cpp (right): https://codereview.chromium.org/2826263002/diff/1/third_party/WebKit/Source/bindings/core/v8/SerializedScriptValue.cpp#newcode505 third_party/WebKit/Source/bindings/core/v8/SerializedScriptValue.cpp:505: exception_state.ThrowDOMException( We're checking IsNeuterable twice. (Transfer calls another IsNeuterable.) ...
2 months, 1 week ago (2017-04-20 20:07:01 UTC) #8
binji
https://codereview.chromium.org/2826263002/diff/1/third_party/WebKit/Source/bindings/core/v8/SerializedScriptValue.cpp File third_party/WebKit/Source/bindings/core/v8/SerializedScriptValue.cpp (right): https://codereview.chromium.org/2826263002/diff/1/third_party/WebKit/Source/bindings/core/v8/SerializedScriptValue.cpp#newcode505 third_party/WebKit/Source/bindings/core/v8/SerializedScriptValue.cpp:505: exception_state.ThrowDOMException( On 2017/04/20 at 20:07:01, haraken wrote: > We're ...
2 months, 1 week ago (2017-04-21 00:00:23 UTC) #9
haraken
LGTM https://codereview.chromium.org/2826263002/diff/1/third_party/WebKit/Source/core/dom/DOMArrayBuffer.cpp File third_party/WebKit/Source/core/dom/DOMArrayBuffer.cpp (right): https://codereview.chromium.org/2826263002/diff/1/third_party/WebKit/Source/core/dom/DOMArrayBuffer.cpp#newcode14 third_party/WebKit/Source/core/dom/DOMArrayBuffer.cpp:14: static void AccumulateArrayBuffersForAllWorlds( On 2017/04/21 00:00:23, binji wrote: ...
2 months, 1 week ago (2017-04-21 12:03:39 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2826263002/60001
2 months ago (2017-04-26 18:34:59 UTC) #25
commit-bot: I haz the power
2 months ago (2017-04-26 20:36:47 UTC) #28
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/ca0862600acc57baec238c114be2...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318